package com.mortals.xhx.module.basics.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:BasicsInfo
* date: 2021-8-18 14:24:46
*/
public class BasicsInfoEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1629267886259L;


    /**
    * 模板标题
    */
    private String title;

    /**
    * 一件事基础表id
    */
    private Long basicsId;

    /**
    * 办理机构
    */
    private String jointInfoShow;

    /**
    * 法定时限
    */
    private String legalTimeLimitShow;

    /**
    * 承诺时限
    */
    private String promiseTimeLimitShow;

    /**
    * 是否收费,0,否，1是 默认0
    */
    private Integer isChargesShow;

    /**
    * 收费金额
    */
    private String charges;

    /**
    * 办公时间
    */
    private String handleTimeShow;

    /**
    * 办公地址
    */
    private String handlePlaceShow;

    /**
    * 咨询电话
    */
    private String cousultingTelephoneShow;

    /**
    * 投诉电话
    */
    private String supervisoryTelephoneShow;

    /**
    * 结果信息
    */
    private String resultInfo;

    /**
    * 常见问题
    */
    private String qa;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public BasicsInfoEntity(){

    }
    /**
    * 获取 模板标题
    * @return title
    */
    public String getTitle() {
        return this.title;
    }
    /**
    * 设置 模板标题
    * @param title
    */
    public void setTitle(String title) {
        this.title = title;
    }
    /**
    * 获取 一件事基础表id
    * @return basicsId
    */
    public Long getBasicsId() {
        return this.basicsId;
    }
    /**
    * 设置 一件事基础表id
    * @param basicsId
    */
    public void setBasicsId(Long basicsId) {
        this.basicsId = basicsId;
    }
    /**
    * 获取 办理机构
    * @return jointInfoShow
    */
    public String getJointInfoShow() {
        return this.jointInfoShow;
    }
    /**
    * 设置 办理机构
    * @param jointInfoShow
    */
    public void setJointInfoShow(String jointInfoShow) {
        this.jointInfoShow = jointInfoShow;
    }
    /**
    * 获取 法定时限
    * @return legalTimeLimitShow
    */
    public String getLegalTimeLimitShow() {
        return this.legalTimeLimitShow;
    }
    /**
    * 设置 法定时限
    * @param legalTimeLimitShow
    */
    public void setLegalTimeLimitShow(String legalTimeLimitShow) {
        this.legalTimeLimitShow = legalTimeLimitShow;
    }
    /**
    * 获取 承诺时限
    * @return promiseTimeLimitShow
    */
    public String getPromiseTimeLimitShow() {
        return this.promiseTimeLimitShow;
    }
    /**
    * 设置 承诺时限
    * @param promiseTimeLimitShow
    */
    public void setPromiseTimeLimitShow(String promiseTimeLimitShow) {
        this.promiseTimeLimitShow = promiseTimeLimitShow;
    }
    /**
    * 获取 是否收费,0,否，1是 默认0
    * @return isChargesShow
    */
    public Integer getIsChargesShow() {
        return this.isChargesShow;
    }
    /**
    * 设置 是否收费,0,否，1是 默认0
    * @param isChargesShow
    */
    public void setIsChargesShow(Integer isChargesShow) {
        this.isChargesShow = isChargesShow;
    }
    /**
    * 获取 收费金额
    * @return charges
    */
    public String getCharges() {
        return this.charges;
    }
    /**
    * 设置 收费金额
    * @param charges
    */
    public void setCharges(String charges) {
        this.charges = charges;
    }
    /**
    * 获取 办公时间
    * @return handleTimeShow
    */
    public String getHandleTimeShow() {
        return this.handleTimeShow;
    }
    /**
    * 设置 办公时间
    * @param handleTimeShow
    */
    public void setHandleTimeShow(String handleTimeShow) {
        this.handleTimeShow = handleTimeShow;
    }
    /**
    * 获取 办公地址
    * @return handlePlaceShow
    */
    public String getHandlePlaceShow() {
        return this.handlePlaceShow;
    }
    /**
    * 设置 办公地址
    * @param handlePlaceShow
    */
    public void setHandlePlaceShow(String handlePlaceShow) {
        this.handlePlaceShow = handlePlaceShow;
    }
    /**
    * 获取 咨询电话
    * @return cousultingTelephoneShow
    */
    public String getCousultingTelephoneShow() {
        return this.cousultingTelephoneShow;
    }
    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShow
    */
    public void setCousultingTelephoneShow(String cousultingTelephoneShow) {
        this.cousultingTelephoneShow = cousultingTelephoneShow;
    }
    /**
    * 获取 投诉电话
    * @return supervisoryTelephoneShow
    */
    public String getSupervisoryTelephoneShow() {
        return this.supervisoryTelephoneShow;
    }
    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public void setSupervisoryTelephoneShow(String supervisoryTelephoneShow) {
        this.supervisoryTelephoneShow = supervisoryTelephoneShow;
    }
    /**
    * 获取 结果信息
    * @return resultInfo
    */
    public String getResultInfo() {
        return this.resultInfo;
    }
    /**
    * 设置 结果信息
    * @param resultInfo
    */
    public void setResultInfo(String resultInfo) {
        this.resultInfo = resultInfo;
    }
    /**
    * 获取 常见问题
    * @return qa
    */
    public String getQa() {
        return this.qa;
    }
    /**
    * 设置 常见问题
    * @param qa
    */
    public void setQa(String qa) {
        this.qa = qa;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof BasicsInfoEntity) {
            BasicsInfoEntity tmp = (BasicsInfoEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",title:").append(getTitle())
                .append(",basicsId:").append(getBasicsId())
                .append(",jointInfoShow:").append(getJointInfoShow())
                .append(",legalTimeLimitShow:").append(getLegalTimeLimitShow())
                .append(",promiseTimeLimitShow:").append(getPromiseTimeLimitShow())
                .append(",isChargesShow:").append(getIsChargesShow())
                .append(",charges:").append(getCharges())
                .append(",handleTimeShow:").append(getHandleTimeShow())
                .append(",handlePlaceShow:").append(getHandlePlaceShow())
                .append(",cousultingTelephoneShow:").append(getCousultingTelephoneShow())
                .append(",supervisoryTelephoneShow:").append(getSupervisoryTelephoneShow())
                .append(",resultInfo:").append(getResultInfo())
                .append(",qa:").append(getQa())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.title = null;

         this.basicsId = null;

         this.jointInfoShow = null;

         this.legalTimeLimitShow = null;

         this.promiseTimeLimitShow = null;

         this.isChargesShow = null;

         this.charges = null;

         this.handleTimeShow = null;

         this.handlePlaceShow = null;

         this.cousultingTelephoneShow = null;

         this.supervisoryTelephoneShow = null;

         this.resultInfo = null;

         this.qa = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}